Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.comp.neuron
Class InputNeuron

    java.lang.Object
      org.neuroph.core.Neuron
          org.neuroph.nnet.comp.neuron.InputNeuron

All Implemented Interfaces:
  Serializable

    public class InputNeuron

extends Neuron

Provides input neuron behaviour - neuron with input extranaly set, which just transfer that input to output without change. Its purporse is to distribute its input to all neurons it is connected to. It has no input connections

Author:
  Zoran Sevarac
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.Neuron
`error, inputConnections, inputFunction, netInput, outConnections, output, parentLayer, transferFunction`

Constructor Summary
`InputNeuron()` Creates a new instance of InputNeuron with linear transfer function

Method Summary
`void` | `calculate()` Calculate method of this type of neuron just transfers its externaly set input (with setNetInput) to its output

Methods inherited from class org.neuroph.core.Neuron
`addInputConnection, addInputConnection, addInputConnection, addOutputConnection, getConnectionFrom, getError, getInputConnections, getInputFunction, getLabel, getNetInput, getOutConnections, getOutput, getParentLayer, getTransferFunction, getWeights, hasInputConnectionFrom, hasInputConnections, hasOutputConnectionTo, initializeWeights, randomizeWeights, randomizeWeights, randomizeWeights, removeAllConnections, removeAllInputConnections, removeAllOutputConnections, removeInputConnection, removeInputConnectionFrom, removeOutputConnection, removeOutputConnectionTo, reset, setError, setInput, setInputFunction, setLabel, setOutput, setParentLayer, setTransferFunction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputNeuron

    public InputNeuron()

  Creates a new instance of InputNeuron with linear transfer function

Method Detail

### calculate

    public void calculate()

  Calculate method of this type of neuron just transfers its externaly set input (with setNetInput) to its output

  Overrides:
    `calculate` in class `Neuron`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.